%!TEX root=../../../thesis.tex
%!TEX file=content/spatial-dynamics/bases-functions/composite-bezier.tex

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\subsection{Composite \Bezier Curves}\label{sec:cable-dynamics:rayleig-ritz:bases-functions:composite-bezier}

Composite \beziercurves, also referred to as \beziersplines, are compose of piecewise \beziercurve resulting in a continuous curve at the joints.
Simply put, a series of \beziercurves are joined end to end where one curve's end point is the start point of another curve.
Different smoothness requirements like~$C^{1}$ or~$C^{2}$, may be imposed depending on the requirements.
When joining \beziercurves to form composite \beziersplines, the continuity and smoothness requirements can be translated into equalities\textemdash or equations\textemdash for the control points.
Assuming at least~$C^{0}$ continuity of two \beziercurves~$\vect{C}^{\parentheses{0}}$ and~$\vect{C}^{\parentheses{1}}$~(both of same degree~$\polydeg$, each with control points~$\ctrlpoint_{k}^{\parentheses{1}}$,~$\ctrlpoint_{k}^{\parentheses{2}}$, respectively) requires
%
\begin{align*}
  \vect{C}^{\parentheses{0}} \of{\pathcoord^{\parentheses{0}} = 1}
    & = \vect{C}^{\parentheses{1}} \of{\pathcoord^{\parentheses{1}} = 0} \,
    \\
\shortintertext{or equivalently}
  \ctrlpoint_{\polydeg + 1}^{\parentheses{0}}
    & = \ctrlpoint_{0}^{\parentheses{1}} \,
        ,
\end{align*}
%
to be satisfied, that is the last control point of the first \beziercurve must be the same as the first point of the second \beziercurve\textemdash which is to be expected intuitively.
Requiring~$C^{1}$ continuity leads to necessity of having the vertices
%
\begin{align*}
  \ctrlpoint_{\polydeg}^{\parentheses{0}} \,
    ,
    \ctrlpoint_{\polydeg + 1}^{\parentheses{0}} = \ctrlpoint_{0}^{\parentheses{1}} \,
    ,
    \ctrlpoint_{1}^{\parentheses{1}}
\end{align*}
%
be collinear.
Similarly,~$C^{2}$ continuity requires the vertices
%
\begin{align*}
  \ctrlpoint_{\polydeg - 1}^{\parentheses{0}} \,
    ,
    \ctrlpoint_{\polydeg}^{\parentheses{0}} \,
    ,
    \ctrlpoint_{\polydeg + 1}^{\parentheses{0}} = \ctrlpoint_{0}^{\parentheses{1}} \,
    ,
    \ctrlpoint_{1}^{\parentheses{1}} \,
    ,
    \ctrlpoint_{2}^{\parentheses{1}}
\end{align*}
%
to be collinear.
Consequently, for~$C^{j}$ continuity, the vertices
%
\begin{align*}
  \ctrlpoint_{\polydeg - j + 1}^{\parentheses{0}} \,
  ,
  \ctrlpoint_{\polydeg - j}^{\parentheses{0}} \,
  ,
  \dots
  ,
  \ctrlpoint_{\polydeg + 1}^{\parentheses{0}} = \ctrlpoint_{0}^{\parentheses{1}} \,
  ,
  \ctrlpoint_{1}^{\parentheses{1}} \,
  ,
  \dots
  ,
  \ctrlpoint_{j}^{\parentheses{1}}
\end{align*}
%
must be collinear.
Following this recursive definition, it is apparent that higher continuity levels require a higher polynomial degree of the connecting \beziercurves, as the polynomial degree is directly linked to the number of control points with~$\polydeg = \numctrlpts - 1$.
In addition, while the constraints resulting from continuity may be integrated into the dynamics model by either further holonomic constraints, they may also be incorporated into the equations for the coefficients themselves rendering some generalized coordinates redundant.
Since every \Bezier control point has global support\textemdash in our case the \Bezier control points translate to be the generalized coordinates \textIe \glspl{DOF} of our system\textemdash, requiring higher continuity of the curves causing a kinematically tightly constrained system.
